<template>
    <div class="box pt-5 mb-10">
        <div class="flex flex-col items-start">
            <div class="flex flex-col md:flex-row justify-between items-center p-5 mb-4">
                <div class="text-xl mb-2 md:mb-0 mr-20">
                    Mar 10 - Mar 16, 2024
                </div>
                <div class="flex flex-col md:flex-row space-y-2 md:space-y-0 md:space-x-2">
                    <button class="border rounded text-black px-4 py-2 mb-2 md:mb-0 md:mr-2">Today</button>
                    <select class="dropdown">
                        <option>Week</option>
                        <option>Week 2</option>
                        <option>Month</option>
                    </select>
                </div>
            </div>
            <div>

                <div class="flex justify-between items-center mb-4">
                    <div class="w-3/5 flex justify-center items-center px-4">
                        <div class="flex w-full md:w-11/12 mb-2 md:mb-10">
                            <div class="md:flex flex-grow">
                                <div class="flex flex-col w-full">
                                    <label for="department"
                                        class="text-sm font-medium text-gray-700 mb-2 mt-5">Department</label>
                                    <div class="relative flex items-center">
                                        <select id="department" class="dropdown flex-grow pr-10 w-96">
                                            <!-- Set width to 80 -->
                                            <option>House keeping</option>
                                            <option>Finance</option>
                                            <option>Cook</option>
                                        </select>
                                        <button class="btn green ml-10">Filter</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="relative shadow-md sm:rounded-lg w-[90vw] md:w-full">
        <div class="overflow-auto">
            <table class="md:table-fixed w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-100 dark:text-gray-400">
                    <tr class="bg-gray-300 text-black">
                        <th scope="col" class="p-4 border">
                            Name
                        </th>
                        <th scope="col" class="px-5 py-3 border">
                            Monday
                        </th>
                        <th scope="col" class="px-12 py-3 border">
                            Tuesday
                        </th>
                        <th scope="col" class="px-12 py-3 border">
                            Wednesday
                        </th>
                        <th scope="col" class="px-12 py-3 border">
                            Thursday
                        </th>
                        <th scope="col" class="px-12 py-3 border">
                            Friday
                        </th>
                        <th scope="col" class="px-12 py-3 border">
                            Saturday
                        </th>
                        <th scope="col" class="px-12 py-3 border">
                            Sunday
                        </th>
                    </tr>
                </thead>

                <tbody>
                    <!-- Table rows -->
                    <tr class="bg-white dark:border-light-700 hover:bg-light-50 dark:hover:bg-orange-200">
                        <td class="w-4 p-4 dark:text-black border">
                            Sonam Deki
                        </td>
                        <td class="px-1 py-4  dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>

                        <td class="px-12 py-3 border"> <!-- Added border class -->
                            <!-- Content here -->
                        </td>

                    </tr>
                    <tr class="bg-white dark:border-light-700 hover:bg-light-50 dark:hover:bg-orange-200">
                        <td class="w-4 p-4 border">
                            Dawa Jerry
                        </td>
                        <td class="px-1 py-4  dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>

                        <td class="px-12 py-3 border"> <!-- Added border class -->
                            <!-- Content here -->
                        </td>
                    </tr>
                    <tr class="bg-white dark:border-light-700 hover:bg-light-50 dark:hover:bg-orange-200">
                        <td class="w-4 p-4 border">
                            Tulasi Devi
                        </td>
                        <td class="px-1 py-4  dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>

                        <td class="px-12 py-3 border"> <!-- Added border class -->
                            <!-- Content here -->
                        </td>
                    </tr>
                    <tr class="bg-white dark:border-light-700 hover:bg-light-50 dark:hover:bg-orange-200">
                        <td class="w-4 p-4">
                            Deki
                        </td>
                        <td class="px-1 py-4  dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>
                        <td class="px-10 py-4 dark:text-black border">

                        </td>

                        <td class="px-12 py-3 border"> 
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="p-6 text-right">
        <button class="btn green">Download Roster</button>
    </div>

</template>